Spaces method and path for this operation:
Refer to Spaces for more information.
Updates setting details such as the closure type, custom fields, templates, and the default connector for cases. Connectors are used to interface with external systems. You must create a connector before you can use it in your cases. You must have all privileges for the Cases feature in the Management, Observability, or Security section of the Kibana feature privileges, depending on where the case was created.
Body
-
Indicates whether a case is automatically closed when it is pushed to external systems (
close-by-pushing) or not automatically closed (close-by-user).Values are
close-by-pushingorclose-by-user. -
An object that contains the connector configuration.
-
Custom fields case configuration. Deprecated. Use the field library (
/api/cases/field_definitions) to manage field definitions andextended_fieldson case create/update to set field values. -
Indicates whether observables (for example, IPs, hashes, and URLs) are automatically extracted from case comments and events.
-
Configuration-embedded templates. Deprecated: use the templates API (
GET /api/cases/templates) and caseextended_fieldsinstead. -
The version of the connector. To retrieve the version value, use the get configuration API.
curl \
--request PATCH 'https://<KIBANA_URL>/api/cases/configure/3297a0f0-b5ec-11ec-b141-0fdb20a7f9a9' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--header "kbn-xsrf: string" \
--data '{
"closure_type": "close-by-user",
"connector": {
"fields": null,
"id": "5e656730-e1ca-11ec-be9b-9b1838238ee6",
"name": "my-jira-connector",
"type": ".jira"
},
"customFields": [
{
"defaultValue": "A new default value.",
"key": "d312efda-ec2b-42ec-9e2c-84981795c581",
"label": "my-text-field",
"type": "text",
"required": true
},
{
"key": "fcc6840d-eb14-42df-8aaf-232201a705ec",
"label": "my-toggle",
"type": "toggle",
"required": false
}
],
"version": "WzExOSw0XQ==",
"workflowTags": [
"soc-triage",
"enrichment"
]
}'
{
"closure_type": "close-by-user",
"connector": {
"fields": null,
"id": "5e656730-e1ca-11ec-be9b-9b1838238ee6",
"name": "my-jira-connector",
"type": ".jira"
},
"customFields": [
{
"defaultValue": "A new default value.",
"key": "d312efda-ec2b-42ec-9e2c-84981795c581",
"label": "my-text-field",
"type": "text",
"required": true
},
{
"key": "fcc6840d-eb14-42df-8aaf-232201a705ec",
"label": "my-toggle",
"type": "toggle",
"required": false
}
],
"version": "WzExOSw0XQ==",
"workflowTags": [
"soc-triage",
"enrichment"
]
}
{
"closure_type": "close-by-user",
"connector": {
"fields": null,
"id": "5e656730-e1ca-11ec-be9b-9b1838238ee6",
"name": "my-jira-connector",
"type": ".jira"
},
"created_at": "2024-07-01T17:07:17.767Z",
"created_by": {
"email": null,
"full_name": null,
"profile_uid": "u_mGBROF_q5bmFCATbLXAcCwKa0k8JvONAwSruelyKA5E_0",
"username": "elastic"
},
"customFields": [
{
"defaultValue": "A new default value.",
"key": "d312efda-ec2b-42ec-9e2c-84981795c581",
"label": "my-text-field",
"type": "text",
"required": true
},
{
"key": "fcc6840d-eb14-42df-8aaf-232201a705ec",
"label": "my-toggle",
"type": "toggle",
"required": false
}
],
"error": null,
"extractObservables": true,
"id": "4a97a440-e1cd-11ec-be9b-9b1838238ee6",
"mappings": [
{
"action_type": "overwrite",
"source": "title",
"target": "summary"
},
{
"action_type": "overwrite",
"source": "description",
"target": "description"
},
{
"action_type": "overwrite",
"source": "tags",
"target": "labels"
},
{
"action_type": "append",
"source": "comments",
"target": "comments"
}
],
"owner": "cases",
"templates": [],
"updated_at": "2024-07-19T00:52:42.401Z",
"updated_by": {
"email": null,
"full_name": null,
"profile_uid": "u_mGBROF_q5bmFCATbLXAcCwKa0k8JvONAwSruelyKA5E_0",
"username": "elastic"
},
"version": "WzI2LDNd",
"workflowTags": [
"soc-triage",
"enrichment"
]
}
{
"error": "Unauthorized",
"message": "Unable to authenticate with the provided credentials.",
"statusCode": 401
}